Opened 8 months ago

Closed 7 months ago

#1561 closed defect (invalid)

smartctl no longer detects /dev/sdb and /dev/sdd temperatures

Reported by: Laurent Durand Owned by:
Priority: minor Milestone:
Component: smartctl Version: 7.2
Keywords: ata Cc:

Description

Hello.
I used to see all the temperatures of my hard disks, but I changed my disk / and since then, smartctl no longer sees the temperatures of my /dev/sdb and /dev/sdd.
I am under Manjaro Linux in AMD64.
Can anybody help me ?
Thanks Ignace.

Change History (5)

comment:1 Changed 7 months ago by Christian Franke

Milestone: undecided

Please be more specific and provide sample smartctl -x outputs.

comment:2 Changed 7 months ago by Laurent Durand

Good evening, Christian Franke.
In fact, there, the temperature of /dev/sdb is available again.
The problem remains for /dev/sdd.
Not knowing which sample of the command you want, I pass the full output of the command to you:

[ignace@ignace-pc ~]$ sudo smartctl -x /dev/sdd
smartctl 7.2 2020-12-30 r5155 [x86_64-linux-5.16.5-1-MANJARO] (local build)
Copyright (C) 2002-20, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family:     Samsung based SSDs
Device Model:     Samsung SSD 860 PRO 512GB
Serial Number:    S42YNX0R900179V
LU WWN Device Id: 5 002538 e419000e0
Firmware Version: RVM02B6Q
User Capacity:    512 110 190 592 bytes [512 GB]
Sector Size:      512 bytes logical/physical
Rotation Rate:    Solid State Device
Form Factor:      2.5 inches
TRIM Command:     Available, deterministic, zeroed
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   ACS-4 T13/BSR INCITS 529 revision 5
SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Tue Feb 15 18:55:54 2022 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM feature is:   Unavailable
APM feature is:   Unavailable
Rd look-ahead is: Enabled
Write cache is:   Enabled
DSN feature is:   Unavailable
ATA Security is:  Disabled, frozen [SEC2]
Wt Cache Reorder: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x80)	Offline data collection activity
					was never started.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		(    0) seconds.
Offline data collection
capabilities: 			 (0x53) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					No Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 (  85) minutes.
SCT capabilities: 	       (0x003d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 1
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  5 Reallocated_Sector_Ct   PO--CK   100   100   010    -    0
  9 Power_On_Hours          -O--CK   099   099   000    -    436
 12 Power_Cycle_Count       -O--CK   099   099   000    -    26
177 Wear_Leveling_Count     PO--C-   100   100   000    -    0
179 Used_Rsvd_Blk_Cnt_Tot   PO--C-   100   100   010    -    0
181 Program_Fail_Cnt_Total  -O--CK   100   100   010    -    0
182 Erase_Fail_Count_Total  -O--CK   100   100   010    -    0
183 Runtime_Bad_Block       PO--C-   100   100   010    -    0
187 Uncorrectable_Error_Cnt -O--CK   100   100   000    -    0
190 Airflow_Temperature_Cel -O--CK   063   055   000    -    37
195 ECC_Error_Rate          -O-RC-   200   200   000    -    0
199 CRC_Error_Count         -OSRCK   099   099   000    -    12
235 POR_Recovery_Count      -O--C-   099   099   000    -    6
241 Total_LBAs_Written      -O--CK   099   099   000    -    345980159
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning

General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      1  Comprehensive SMART error log
0x03       GPL     R/O      1  Ext. Comprehensive SMART error log
0x04       GPL,SL  R/O      8  Device Statistics log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09           SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
0x13       GPL     R/O      1  SATA NCQ Send and Receive log
0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xa1           SL  VS      16  Device vendor specific log
0xa5           SL  VS      16  Device vendor specific log
0xce-0xcf      SL  VS      16  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

SMART Extended Comprehensive Error Log Version: 1 (1 sectors)
No Errors Logged

SMART Extended Self-test Log Version: 1 (1 sectors)
No self-tests have been logged.  [To run self-tests, use: smartctl -t]

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       256 (0x0100)
Device State:                        Active (0)
Current Temperature:                    37 Celsius
Power Cycle Min/Max Temperature:     29/40 Celsius
Lifetime    Min/Max Temperature:     19/45 Celsius
Specified Max Operating Temperature:    70 Celsius
Under/Over Temperature Limit Count:   0/0
SMART Status:                        0xc24f (PASSED)

SCT Temperature History Version:     2
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        10 minutes
Min/Max recommended Temperature:      0/70 Celsius
Min/Max Temperature Limit:            0/70 Celsius
Temperature History Size (Index):    128 (95)

Index    Estimated Time   Temperature Celsius
  96    2022-02-14 21:40    37  ******************
  97    2022-02-14 21:50    38  *******************
  98    2022-02-14 22:00    37  ******************
  99    2022-02-14 22:10    38  *******************
 100    2022-02-14 22:20    38  *******************
 101    2022-02-14 22:30    37  ******************
 102    2022-02-14 22:40    38  *******************
 103    2022-02-14 22:50    37  ******************
 104    2022-02-14 23:00    39  ********************
 105    2022-02-14 23:10    37  ******************
 106    2022-02-14 23:20    37  ******************
 107    2022-02-14 23:30    37  ******************
 108    2022-02-14 23:40    36  *****************
 109    2022-02-14 23:50    37  ******************
 110    2022-02-15 00:00    36  *****************
 ...    ..( 13 skipped).    ..  *****************
 124    2022-02-15 02:20    36  *****************
 125    2022-02-15 02:30    37  ******************
 126    2022-02-15 02:40    37  ******************
 127    2022-02-15 02:50    39  ********************
   0    2022-02-15 03:00    36  *****************
 ...    ..( 20 skipped).    ..  *****************
  21    2022-02-15 06:30    36  *****************
  22    2022-02-15 06:40    38  *******************
  23    2022-02-15 06:50    37  ******************
  24    2022-02-15 07:00    36  *****************
 ...    ..(  2 skipped).    ..  *****************
  27    2022-02-15 07:30    36  *****************
  28    2022-02-15 07:40    38  *******************
  29    2022-02-15 07:50    36  *****************
 ...    ..(  7 skipped).    ..  *****************
  37    2022-02-15 09:10    36  *****************
  38    2022-02-15 09:20    37  ******************
  39    2022-02-15 09:30    37  ******************
  40    2022-02-15 09:40    36  *****************
 ...    ..(  6 skipped).    ..  *****************
  47    2022-02-15 10:50    36  *****************
  48    2022-02-15 11:00    37  ******************
  49    2022-02-15 11:10    36  *****************
  50    2022-02-15 11:20    38  *******************
  51    2022-02-15 11:30    36  *****************
  52    2022-02-15 11:40    36  *****************
  53    2022-02-15 11:50    37  ******************
  54    2022-02-15 12:00    37  ******************
  55    2022-02-15 12:10    35  ****************
  56    2022-02-15 12:20    35  ****************
  57    2022-02-15 12:30    36  *****************
 ...    ..(  2 skipped).    ..  *****************
  60    2022-02-15 13:00    36  *****************
  61    2022-02-15 13:10    37  ******************
  62    2022-02-15 13:20    36  *****************
 ...    ..( 16 skipped).    ..  *****************
  79    2022-02-15 16:10    36  *****************
  80    2022-02-15 16:20    38  *******************
  81    2022-02-15 16:30    37  ******************
 ...    ..(  4 skipped).    ..  ******************
  86    2022-02-15 17:20    37  ******************
  87    2022-02-15 17:30    38  *******************
  88    2022-02-15 17:40    37  ******************
  89    2022-02-15 17:50    38  *******************
  90    2022-02-15 18:00    37  ******************
  91    2022-02-15 18:10    36  *****************
  92    2022-02-15 18:20    36  *****************
  93    2022-02-15 18:30    38  *******************
  94    2022-02-15 18:40    37  ******************
  95    2022-02-15 18:50    37  ******************

SCT Error Recovery Control:
           Read: Disabled
          Write: Disabled

Device Statistics (GP Log 0x04)
Page  Offset Size        Value Flags Description
0x01  =====  =               =  ===  == General Statistics (rev 1) ==
0x01  0x008  4              26  ---  Lifetime Power-On Resets
0x01  0x010  4             436  ---  Power-on Hours
0x01  0x018  6       345980159  ---  Logical Sectors Written
0x01  0x020  6         3196272  ---  Number of Write Commands
0x01  0x028  6      5570099736  ---  Logical Sectors Read
0x01  0x030  6        38619668  ---  Number of Read Commands
0x01  0x038  6         2208000  ---  Date and Time TimeStamp
0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
0x04  0x008  4               0  ---  Number of Reported Uncorrectable Errors
0x04  0x010  4               0  ---  Resets Between Cmd Acceptance and Completion
0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
0x05  0x008  1              37  ---  Current Temperature
0x05  0x020  1              45  ---  Highest Temperature
0x05  0x028  1              19  ---  Lowest Temperature
0x05  0x058  1              70  ---  Specified Maximum Operating Temperature
0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
0x06  0x008  4            2204  ---  Number of Hardware Resets
0x06  0x010  4               0  ---  Number of ASR Events
0x06  0x018  4              12  ---  Number of Interface CRC Errors
0x07  =====  =               =  ===  == Solid State Device Statistics (rev 1) ==
0x07  0x008  1               0  N--  Percentage Used Endurance Indicator
                                |||_ C monitored condition met
                                ||__ D supports DSN
                                |___ N normalized value

Pending Defects log (GP Log 0x0c) not supported

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x0008  2            0  Device-to-host non-data FIS retries
0x0009  2        62305  Transition from drive PhyRdy to drive PhyNRdy
0x000a  2            2  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
0x000d  2            0  Non-CRC errors within host-to-device FIS
0x000f  2            0  R_ERR response for host-to-device data FIS, CRC
0x0010  2            0  R_ERR response for host-to-device data FIS, non-CRC
0x0012  2            0  R_ERR response for host-to-device non-data FIS, CRC
0x0013  2            0  R_ERR response for host-to-device non-data FIS, non-CRC

Looking at the output, I notice the line:
Current Temperature: 37 Celsius
But doing the command sudo smartctl -a /dev/sdd, the output does not show me the temperature.
Thank you.
Laurent Durand

Last edited 7 months ago by Laurent Durand (previous) (diff)

comment:3 Changed 7 months ago by Christian Franke

SMART Attributes Data Structure revision number: 1
...
190 Airflow_Temperature_Cel -O--CK   063   055   000    -    37
...
Device Statistics (GP Log 0x04)
...
0x05  0x008  1              37  ---  Current Temperature
...

...
But doing the command sudo smartctl -a /dev/sdd, the output does not show me the temperature.

Device Statistics with Current Temperature is only visible in smartctl -x output.

smartctl -a only shows the legacy SMART information. This device does not provide the traditional SMART attribute 194 Temperature_Celsius but 190 Airflow_Temperature_Cel instead. This is neither a firmware bug nor a smartctl bug.

Last edited 7 months ago by Christian Franke (previous) (diff)

comment:4 Changed 7 months ago by Laurent Durand

Thank you for this quick response.
So if I understand correctly, it's the hard disk that does not use the traditional SMART attributes which does not allow the Hddtemp software to send me the temperature of the hard disk.
Since I filed the ticket, I have tested the kernel module drivetemp, and there it sees the temperatures of all my hard drives even that of /dev/sdb at the time or smartctl -a /dev/sdb did not return the temperature of the disk to me.
So I don't use Hddtemp anymore and just go through the kernel module drivetemp.
Thank you for your attention.
Laurent Durand.

comment:5 Changed 7 months ago by Christian Franke

Keywords: ata added
Milestone: undecided
Resolution: invalid
Status: newclosed

Drive does not provide attribute 194. This is not a smartctl bug.

Note: See TracTickets for help on using tickets.